Page MenuHomePhabricator

Phase out lanthanum.eqiad.wmnet
Closed, ResolvedPublic

Description

Whenever we have jobs migrated to disposable VM (T47499) the production server lanthanum.eqiad.wmnet would no more be used and should thus be decommissioned / repurposed.

Event Timeline

hashar created this task.Jan 13 2015, 2:23 PM
hashar updated the task description. (Show Details)
hashar raised the priority of this task from to Lowest.
hashar added a subscriber: hashar.

Change 222595 had a related patch set uploaded (by Hashar):
Remove Gerrit replication to lanthanum.eqiad.wmnet

https://gerrit.wikimedia.org/r/222595

Restricted Application added a subscriber: Matanya. · View Herald TranscriptJul 3 2015, 2:18 PM
hashar added a subscriber: RobH.Jul 3 2015, 2:19 PM

Hey @RobH , we will soon no more have any use for lanthanum.eqiad.wmnet. What is the process on Operations side to have the machine put back in the pool of available machine please?

RobH added a comment.Jul 3 2015, 2:58 PM

When you finish its use completely, go ahead and assign me this task and I'll take over the reclaim. (We'll wipe the system of data so ensure you have backed up what you need.)

Change 222595 merged by Faidon Liambotis:
Remove Gerrit replication to lanthanum.eqiad.wmnet

https://gerrit.wikimedia.org/r/222595

hashar added a comment.Jul 6 2015, 2:08 PM

I have disconnected the server from Jenkins master/slave config https://integration.wikimedia.org/ci/computer/lanthanum/

hashar assigned this task to RobH.

Removed the blockers that have been achieved for lanthanum.eqiad.wmnet

There will be some puppet cleanup to conduct. Some part still reference lanthanum or its IP address ( 10.64.0.161 ).

@RobH you can reclaim lanthanum.eqiad.wmnet and wipe out all data there. It never had anything of important beside what is in puppet.

antoine-approve

Change 223167 had a related patch set uploaded (by John F. Lewis):
reclaim lanthanum: remove lanthanum.eqaid.wmnet

https://gerrit.wikimedia.org/r/223167

hashar added a comment.Jul 6 2015, 8:51 PM

Removed it from the Jenkins slaves configuration.

Change 223175 had a related patch set uploaded (by Hashar):
Reclaim lanthanum: remove related puppet conf

https://gerrit.wikimedia.org/r/223175

Change 223175 merged by Dzahn:
Reclaim lanthanum: remove related puppet conf

https://gerrit.wikimedia.org/r/223175

hashar set Security to None.

Change 223167 merged by RobH:
reclaim lanthanum: remove lanthanum.eqaid.wmnet

https://gerrit.wikimedia.org/r/223167

RobH reassigned this task from RobH to Cmjohnson.EditedJul 15 2015, 4:17 PM
RobH added subscribers: Cmjohnson, Dzahn.

The following have been completed:

  • merge @JohnLewis's dns change and push live
  • decom from palladium: puppet keys, salt keys, puppetstoreddb
  • shutdown system
  • set port to disabled in switch stack and remove it from the private vlan (port currently has no vlan, which seems better than the wrong one)

The following need to be done:

  • wipe of disks by onsite
  • added back to spares page

I'll create the task for the disk wipe as a sub-task.

I'm assigning this task to @Cmjohnson to add back to the spares page when the sub-task for disk wipe is complete.

Cmjohnson closed this task as Resolved.Jul 29 2015, 6:09 PM

Added lanthanum to server spares. Resolving this ticket

Change 254132 had a related patch set uploaded (by Hashar):
Remove lanthanum.eqiad.wmnet hiera configuration

https://gerrit.wikimedia.org/r/254132

Change 254132 merged by Andrew Bogott:
Remove lanthanum.eqiad.wmnet hiera configuration

https://gerrit.wikimedia.org/r/254132